<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FolderSearchBasic StructType
 * @subpackage Structs
 */
class FolderSearchBasic extends SearchRecordBasic
{
    /**
     * The class
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $class;
    /**
     * The department
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $department;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $description;
    /**
     * The externalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $externalId;
    /**
     * The externalIdString
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $externalIdString;
    /**
     * The group
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $group;
    /**
     * The internalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $internalId;
    /**
     * The internalIdNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $internalIdNumber;
    /**
     * The isInactive
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isInactive;
    /**
     * The isTopLevel
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isTopLevel;
    /**
     * The lastModifiedDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $lastModifiedDate;
    /**
     * The location
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $location;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $name;
    /**
     * The numFiles
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $numFiles;
    /**
     * The owner
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $owner;
    /**
     * The parent
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $parent;
    /**
     * The predecessor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $predecessor;
    /**
     * The private
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $private;
    /**
     * The size
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $size;
    /**
     * The subsidiary
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $subsidiary;
    /**
     * Constructor method for FolderSearchBasic
     * @uses FolderSearchBasic::setClass()
     * @uses FolderSearchBasic::setDepartment()
     * @uses FolderSearchBasic::setDescription()
     * @uses FolderSearchBasic::setExternalId()
     * @uses FolderSearchBasic::setExternalIdString()
     * @uses FolderSearchBasic::setGroup()
     * @uses FolderSearchBasic::setInternalId()
     * @uses FolderSearchBasic::setInternalIdNumber()
     * @uses FolderSearchBasic::setIsInactive()
     * @uses FolderSearchBasic::setIsTopLevel()
     * @uses FolderSearchBasic::setLastModifiedDate()
     * @uses FolderSearchBasic::setLocation()
     * @uses FolderSearchBasic::setName()
     * @uses FolderSearchBasic::setNumFiles()
     * @uses FolderSearchBasic::setOwner()
     * @uses FolderSearchBasic::setParent()
     * @uses FolderSearchBasic::setPredecessor()
     * @uses FolderSearchBasic::setPrivate()
     * @uses FolderSearchBasic::setSize()
     * @uses FolderSearchBasic::setSubsidiary()
     * @param \StructType\SearchMultiSelectField $class
     * @param \StructType\SearchMultiSelectField $department
     * @param \StructType\SearchStringField $description
     * @param \StructType\SearchMultiSelectField $externalId
     * @param \StructType\SearchStringField $externalIdString
     * @param \StructType\SearchMultiSelectField $group
     * @param \StructType\SearchMultiSelectField $internalId
     * @param \StructType\SearchLongField $internalIdNumber
     * @param \StructType\SearchBooleanField $isInactive
     * @param \StructType\SearchBooleanField $isTopLevel
     * @param \StructType\SearchDateField $lastModifiedDate
     * @param \StructType\SearchMultiSelectField $location
     * @param \StructType\SearchStringField $name
     * @param \StructType\SearchLongField $numFiles
     * @param \StructType\SearchMultiSelectField $owner
     * @param \StructType\SearchMultiSelectField $parent
     * @param \StructType\SearchMultiSelectField $predecessor
     * @param \StructType\SearchBooleanField $private
     * @param \StructType\SearchLongField $size
     * @param \StructType\SearchMultiSelectField $subsidiary
     */
    public function __construct(\StructType\SearchMultiSelectField $class = null, \StructType\SearchMultiSelectField $department = null, \StructType\SearchStringField $description = null, \StructType\SearchMultiSelectField $externalId = null, \StructType\SearchStringField $externalIdString = null, \StructType\SearchMultiSelectField $group = null, \StructType\SearchMultiSelectField $internalId = null, \StructType\SearchLongField $internalIdNumber = null, \StructType\SearchBooleanField $isInactive = null, \StructType\SearchBooleanField $isTopLevel = null, \StructType\SearchDateField $lastModifiedDate = null, \StructType\SearchMultiSelectField $location = null, \StructType\SearchStringField $name = null, \StructType\SearchLongField $numFiles = null, \StructType\SearchMultiSelectField $owner = null, \StructType\SearchMultiSelectField $parent = null, \StructType\SearchMultiSelectField $predecessor = null, \StructType\SearchBooleanField $private = null, \StructType\SearchLongField $size = null, \StructType\SearchMultiSelectField $subsidiary = null)
    {
        $this
            ->setClass($class)
            ->setDepartment($department)
            ->setDescription($description)
            ->setExternalId($externalId)
            ->setExternalIdString($externalIdString)
            ->setGroup($group)
            ->setInternalId($internalId)
            ->setInternalIdNumber($internalIdNumber)
            ->setIsInactive($isInactive)
            ->setIsTopLevel($isTopLevel)
            ->setLastModifiedDate($lastModifiedDate)
            ->setLocation($location)
            ->setName($name)
            ->setNumFiles($numFiles)
            ->setOwner($owner)
            ->setParent($parent)
            ->setPredecessor($predecessor)
            ->setPrivate($private)
            ->setSize($size)
            ->setSubsidiary($subsidiary);
    }
    /**
     * Get class value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getClass()
    {
        return $this->class;
    }
    /**
     * Set class value
     * @param \StructType\SearchMultiSelectField $class
     * @return \StructType\FolderSearchBasic
     */
    public function setClass(\StructType\SearchMultiSelectField $class = null)
    {
        $this->class = $class;
        return $this;
    }
    /**
     * Get department value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getDepartment()
    {
        return $this->department;
    }
    /**
     * Set department value
     * @param \StructType\SearchMultiSelectField $department
     * @return \StructType\FolderSearchBasic
     */
    public function setDepartment(\StructType\SearchMultiSelectField $department = null)
    {
        $this->department = $department;
        return $this;
    }
    /**
     * Get description value
     * @return \StructType\SearchStringField|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param \StructType\SearchStringField $description
     * @return \StructType\FolderSearchBasic
     */
    public function setDescription(\StructType\SearchStringField $description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get externalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getExternalId()
    {
        return $this->externalId;
    }
    /**
     * Set externalId value
     * @param \StructType\SearchMultiSelectField $externalId
     * @return \StructType\FolderSearchBasic
     */
    public function setExternalId(\StructType\SearchMultiSelectField $externalId = null)
    {
        $this->externalId = $externalId;
        return $this;
    }
    /**
     * Get externalIdString value
     * @return \StructType\SearchStringField|null
     */
    public function getExternalIdString()
    {
        return $this->externalIdString;
    }
    /**
     * Set externalIdString value
     * @param \StructType\SearchStringField $externalIdString
     * @return \StructType\FolderSearchBasic
     */
    public function setExternalIdString(\StructType\SearchStringField $externalIdString = null)
    {
        $this->externalIdString = $externalIdString;
        return $this;
    }
    /**
     * Get group value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getGroup()
    {
        return $this->group;
    }
    /**
     * Set group value
     * @param \StructType\SearchMultiSelectField $group
     * @return \StructType\FolderSearchBasic
     */
    public function setGroup(\StructType\SearchMultiSelectField $group = null)
    {
        $this->group = $group;
        return $this;
    }
    /**
     * Get internalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getInternalId()
    {
        return $this->internalId;
    }
    /**
     * Set internalId value
     * @param \StructType\SearchMultiSelectField $internalId
     * @return \StructType\FolderSearchBasic
     */
    public function setInternalId(\StructType\SearchMultiSelectField $internalId = null)
    {
        $this->internalId = $internalId;
        return $this;
    }
    /**
     * Get internalIdNumber value
     * @return \StructType\SearchLongField|null
     */
    public function getInternalIdNumber()
    {
        return $this->internalIdNumber;
    }
    /**
     * Set internalIdNumber value
     * @param \StructType\SearchLongField $internalIdNumber
     * @return \StructType\FolderSearchBasic
     */
    public function setInternalIdNumber(\StructType\SearchLongField $internalIdNumber = null)
    {
        $this->internalIdNumber = $internalIdNumber;
        return $this;
    }
    /**
     * Get isInactive value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsInactive()
    {
        return $this->isInactive;
    }
    /**
     * Set isInactive value
     * @param \StructType\SearchBooleanField $isInactive
     * @return \StructType\FolderSearchBasic
     */
    public function setIsInactive(\StructType\SearchBooleanField $isInactive = null)
    {
        $this->isInactive = $isInactive;
        return $this;
    }
    /**
     * Get isTopLevel value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsTopLevel()
    {
        return $this->isTopLevel;
    }
    /**
     * Set isTopLevel value
     * @param \StructType\SearchBooleanField $isTopLevel
     * @return \StructType\FolderSearchBasic
     */
    public function setIsTopLevel(\StructType\SearchBooleanField $isTopLevel = null)
    {
        $this->isTopLevel = $isTopLevel;
        return $this;
    }
    /**
     * Get lastModifiedDate value
     * @return \StructType\SearchDateField|null
     */
    public function getLastModifiedDate()
    {
        return $this->lastModifiedDate;
    }
    /**
     * Set lastModifiedDate value
     * @param \StructType\SearchDateField $lastModifiedDate
     * @return \StructType\FolderSearchBasic
     */
    public function setLastModifiedDate(\StructType\SearchDateField $lastModifiedDate = null)
    {
        $this->lastModifiedDate = $lastModifiedDate;
        return $this;
    }
    /**
     * Get location value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getLocation()
    {
        return $this->location;
    }
    /**
     * Set location value
     * @param \StructType\SearchMultiSelectField $location
     * @return \StructType\FolderSearchBasic
     */
    public function setLocation(\StructType\SearchMultiSelectField $location = null)
    {
        $this->location = $location;
        return $this;
    }
    /**
     * Get name value
     * @return \StructType\SearchStringField|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param \StructType\SearchStringField $name
     * @return \StructType\FolderSearchBasic
     */
    public function setName(\StructType\SearchStringField $name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get numFiles value
     * @return \StructType\SearchLongField|null
     */
    public function getNumFiles()
    {
        return $this->numFiles;
    }
    /**
     * Set numFiles value
     * @param \StructType\SearchLongField $numFiles
     * @return \StructType\FolderSearchBasic
     */
    public function setNumFiles(\StructType\SearchLongField $numFiles = null)
    {
        $this->numFiles = $numFiles;
        return $this;
    }
    /**
     * Get owner value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getOwner()
    {
        return $this->owner;
    }
    /**
     * Set owner value
     * @param \StructType\SearchMultiSelectField $owner
     * @return \StructType\FolderSearchBasic
     */
    public function setOwner(\StructType\SearchMultiSelectField $owner = null)
    {
        $this->owner = $owner;
        return $this;
    }
    /**
     * Get parent value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getParent()
    {
        return $this->parent;
    }
    /**
     * Set parent value
     * @param \StructType\SearchMultiSelectField $parent
     * @return \StructType\FolderSearchBasic
     */
    public function setParent(\StructType\SearchMultiSelectField $parent = null)
    {
        $this->parent = $parent;
        return $this;
    }
    /**
     * Get predecessor value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getPredecessor()
    {
        return $this->predecessor;
    }
    /**
     * Set predecessor value
     * @param \StructType\SearchMultiSelectField $predecessor
     * @return \StructType\FolderSearchBasic
     */
    public function setPredecessor(\StructType\SearchMultiSelectField $predecessor = null)
    {
        $this->predecessor = $predecessor;
        return $this;
    }
    /**
     * Get private value
     * @return \StructType\SearchBooleanField|null
     */
    public function getPrivate()
    {
        return $this->private;
    }
    /**
     * Set private value
     * @param \StructType\SearchBooleanField $private
     * @return \StructType\FolderSearchBasic
     */
    public function setPrivate(\StructType\SearchBooleanField $private = null)
    {
        $this->private = $private;
        return $this;
    }
    /**
     * Get size value
     * @return \StructType\SearchLongField|null
     */
    public function getSize()
    {
        return $this->size;
    }
    /**
     * Set size value
     * @param \StructType\SearchLongField $size
     * @return \StructType\FolderSearchBasic
     */
    public function setSize(\StructType\SearchLongField $size = null)
    {
        $this->size = $size;
        return $this;
    }
    /**
     * Get subsidiary value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getSubsidiary()
    {
        return $this->subsidiary;
    }
    /**
     * Set subsidiary value
     * @param \StructType\SearchMultiSelectField $subsidiary
     * @return \StructType\FolderSearchBasic
     */
    public function setSubsidiary(\StructType\SearchMultiSelectField $subsidiary = null)
    {
        $this->subsidiary = $subsidiary;
        return $this;
    }
}
